---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: seed1
  labels:
    app: seed1
  namespace: prod
spec:
  replicas: 2
  revisionHistoryLimit: 2
  strategy:
    type: Recreate
  selector:
    matchLabels:
      app: seed
  template:
    metadata:
      labels:
        app: seed
    spec:
      containers:
      - name: seed1
        image: _IMAGE_NAME_:_VERSION_
        command: ["dotnet"]
        args: ["DeStream.DeStreamD.dll"]
        ports:
        - name: seed-api
          containerPort: 56833
        - name: seed-svc
          containerPort: 56864
        volumeMounts:
        - name: pv-seed1
          mountPath: "/root/.destreamnode"
      imagePullSecrets:
      - name: registrypullsecret
      volumes:
      - name: pv-seed1
        persistentVolumeClaim:
          claimName: pv-seed1-claim